Subject: Re: #1052 Changes from RFC 2822

From: Harald Tveit Alvestrand <[email-masked]>
Date: Tue, 04 Oct 2005 20:42:34 +0200

--On fredag, september 30, 2005 13:58:18 +0000 Charles Lindsey 
<[email-masked]> wrote:

>
> In <[email-masked]> Harald Tveit
> Alvestrand <[email-masked]> writes:
>
>> Updated text:
>
>> Appendix C.  Differences from RFC 2822
>
>>   This appendix lists the differences between the syntax allowed by the
>>   Netnews Article Format (this document) as compared to the Internet
>>   Message Format, specifically [RFC2822].
>                   ^^^^^^^^^^^^^^
> 		  as specified in
>
> That ensures that we do not actually take a position one way or the other
> on the religious question of whether there is such a thing as "THE
> Internet Message Format" (some read RFC 2822 as specifying there is;
> others read it as applying only within the framework of "electronic
> mail").

Accepted (don't buy the reasoning, but suggestion makes the text clearer).

>
>>   The Netnews article format is a strict subset of the Internet Message
>>   Format; all Netnews articles conform to the syntax of [RFC2822].
>
>>   The following restrictions are important:
>
>>      A SP (space) is REQUIRED after the colon (':') following header
>                                                                ^
>                                                                a
>>      field name.
>
>>      A more restricted syntax of msg-id (to be used by the Message-ID,
>                                    ^^^^^^
>                                   <msg-id>
>>      References, and Supersedes header fields) is defined.
>
>>      The length of a msg-id MUST NOT exceed 250 octets.
>                        ^^^^^^
>                       <msg-id>
>
>>      Comments are not allowed in the Message-ID header field.
>
>>      The CFWS between msg-ids in the References header field is not
>                         ^^^^^^^
>                        <msg-ids>
>>      optional.
>
>>      It is legal for a parser to not accept obsolete syntax, except
>>      that:
>
>>         The <obs-phrase> construct MUST be accepted.
>
>>         The obsolete timezone "GMT" MUST be accepted in the Date header
>                        ^^^^^^^^                        ^^^^^^^^^^^^^^^^^^
>                         <zone>                       within a <date-time>
>>         field.
>           ^^^^^
>
> [Because the same applies also to the Injection-Date and Expires header
> fields.]

Accepted.

>
>>      Every line of a header field body (including the first and any
>>      that are subsequently folded) MUST contain at least one non-
>>      whitespace character. This means that an empty header is illegal.
>
> It might be helpful to add "(consequently, the syntax of <unstructured> is
> changed)" [or "now requires at least one character" or somesuch].
>
> The only item you have not included is something on the lines of:
>
>        There is no RECOMMENDED limit of 78 characters in a header line.
>
> [We decided this was a matter of best practice - hence there are advisory
> limits in USEAGE].

Yep. I'm still not including it.

> It might also be useful to mention (but not as a restriction, of course)
> that MIME is fully incorporated, at least to the extent given in RFC 2049.

It is not a difference between this specification and RFC 2822; using MIME 
for a message is allowed in RFC 2822, and is not mandatory in the new 
USEFOR article format either.

With that set of changes, I'm marking this as "text accepted".

---

From: "Charles Lindsey" <[email-masked]>
Date: Wed, 5 Oct 2005 12:51:20 GMT

>USEFOR article format either.

It is mandatory in the sense that USEFOR 2.3 says that user agents MUST
meet RFC 2049, at least and also RFC 2231, which is far stronger that RFC
2822. Which means that people can freely use it in their articles and
expect the rest of the world to make sense of it.

So the only issue was whether it should be documented as a change from RFC
2822 (which I grant you is not 100% essential).

-- 
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133   Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked]      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9      Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5